Bug 230445 - emulators/fs-uae-launcher: Update to 2.8.4; Take MAINTAINER'ship
Summary: emulators/fs-uae-launcher: Update to 2.8.4; Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL: https://fs-uae.net/news
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-07 23:10 UTC by Nathan
Modified: 2018-09-01 14:00 UTC (History)
2 users (show)

See Also:


Attachments
Update (4.74 KB, patch)
2018-08-07 23:10 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff
new patch (65.71 KB, patch)
2018-08-20 20:11 UTC, Danilo Egea Gondolfo
no flags Details | Diff
Update; Added Dan's changes (65.62 KB, patch)
2018-08-31 03:44 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-07 23:10:40 UTC
Created attachment 195992 [details]
Update

Changelog:News:
https://fs-uae.net/news

For some reason, does not list 2.8.4 in changelog

Portlint ok:(looks fine)

Fixed Makefile so manual install can be avoided;
Comment 1 Nathan 2018-08-07 23:18:24 UTC
Comment on attachment 195992 [details]
Update

setup.py was changed because I was complaining, one should should use custom libdir and exit install
Comment 2 Danilo Egea Gondolfo freebsd_committer 2018-08-20 20:11:03 UTC
Hi Nathan, thank for you work. I've changed your patch, can you take a look?

I've used PYDISTUTILS_INSTALLARGS=--install-lib=${PYTHON_SITELIBDIR} to force the usage of --install-lib.

With this patch we can avoid the the "files" directory.

What do you think?
Comment 3 Danilo Egea Gondolfo freebsd_committer 2018-08-20 20:11:27 UTC
Created attachment 196398 [details]
new patch
Comment 4 Nathan 2018-08-20 20:14:03 UTC
Comment on attachment 196398 [details]
new patch

Looks good. I’ll have to try to remember that shortcut
Comment 5 Danilo Egea Gondolfo freebsd_committer 2018-08-30 19:15:40 UTC
Have you tested my patch? Is it ok?
Comment 6 Nathan 2018-08-30 22:41:44 UTC
(In reply to Danilo Egea Gondolfo from comment #5)
Yea it just gave me that it didnt apply cleanly
Comment 7 Nathan 2018-08-31 03:22:47 UTC
(In reply to Nathan from comment #6)
Cancel above, doesn't apply cleanly, on my part; I'm use to using svn patch
Comment 8 Nathan 2018-08-31 03:44:52 UTC
Created attachment 196729 [details]
Update; Added Dan's changes
Comment 9 commit-hook freebsd_committer 2018-09-01 13:59:36 UTC
A commit references this bug:

Author: danilo
Date: Sat Sep  1 13:58:59 UTC 2018
New revision: 478695
URL: https://svnweb.freebsd.org/changeset/ports/478695

Log:
  - Update to 2.8.4
  - Use autoplist
  - Pass maintainership to submitter

  PR:		230445
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/emulators/fs-uae-launcher/Makefile
  head/emulators/fs-uae-launcher/distinfo
  head/emulators/fs-uae-launcher/pkg-plist
Comment 10 Danilo Egea Gondolfo freebsd_committer 2018-09-01 14:00:55 UTC
Committed, thanks!